Page MenuHomePhabricator

Installation of MW using SQLite db throws 'Database returned error "19: interwiki.iw_api may not be NULL' error
Closed, ResolvedPublic

Description

Author: dnessett

Description:
I am attempting to install MW using SQLite (3.4.2). I am using r71491. After filling in the appropriate information, the installation falls over with the error:

A database query syntax error has occurred. This may indicate a bug in the software. The last attempted database query was:

INSERT INTO interwiki(iw_prefix,iw_url,iw_local) VALUES ('acronym','http://www.acronymfinder.com/af-query.asp?String=exact&Acronym=$1',0)

from within function "". Database returned error "19: interwiki.iw_api may not be NULL".

Originally it complained because I did not supply a data directory. So I created one (/var/data/sqlite_data/), changed its ownership to www-data (apache2 on Ubunutu) and supplied the path in the appropriate place. This pushed the install past that error, but then it threw the error given above.


Version: 1.17.x
Severity: blocker

Details

Reference
bz24939

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:06 PM
bzimport added a project: Mediawiki-Rdbms.
bzimport set Reference to bz24939.
bzimport added a subscriber: Unknown Object (MLST).

Old installer or new?

dnessett wrote:

I assume new:

$ svn info Installer.php
Path: Installer.php
Name: Installer.php
URL: http://svn.wikimedia.org/svnroot/mediawiki/trunk/phase3/config/Installer.php
Repository Root: http://svn.wikimedia.org/svnroot/mediawiki
Repository UUID: dd0e9695-b195-4be7-bd10-2dea1a65a6b6
Revision: 71491
Node Kind: file
Schedule: normal
Last Changed Author: platonides
Last Changed Rev: 71401
Last Changed Date: 2010-08-21 07:34:16 -0700 (Sat, 21 Aug 2010)
Text Last Updated: 2010-08-23 10:02:38 -0700 (Mon, 23 Aug 2010)
Checksum: 78979ee1f9f89a0fb460770d045a3be7

demon added a comment.Aug 26 2010, 1:58 AM

No that's the old installer. If it can't be replicated in the new installer in trunk then not going to bother fixing this.

Will mark INVALID once old installer get svn del'd.

dnessett wrote:

I svn up'd. The information for Installer.php is now:

$svn info Installer.php
Path: Installer.php
Name: Installer.php
URL: http://svn.wikimedia.org/svnroot/mediawiki/trunk/phase3/config/Installer.php
Repository Root: http://svn.wikimedia.org/svnroot/mediawiki
Repository UUID: dd0e9695-b195-4be7-bd10-2dea1a65a6b6
Revision: 71688
Node Kind: file
Schedule: normal
Last Changed Author: platonides
Last Changed Rev: 71401
Last Changed Date: 2010-08-21 07:34:16 -0700 (Sat, 21 Aug 2010)
Text Last Updated: 2010-08-23 10:02:38 -0700 (Mon, 23 Aug 2010)
Checksum: 78979ee1f9f89a0fb460770d045a3be7

The same problem occurs on installation. I include here more contextual information:

Environment checked. You can install MediaWiki.

Generating configuration file...
Database type: SQLite
Loading class: DatabaseSqlite
Attempting to connect to SQLite database at "/var/data/sqlite_data": ok
Connected to sqlite 3.4.2
Creating tables... done.
A database query syntax error has occurred. This may indicate a bug in the software. The last attempted database query was:
INSERT INTO interwiki(iw_prefix,iw_url,iw_local) VALUES ('acronym','http://www.acronymfinder.com/af-query.asp?String=exact&Acronym=$1',0)
from within function "". Database returned error "19: interwiki.iw_api may not be NULL".

The new installer is at config/new-index.php. Installer.php is the old installer.

dnessett wrote:

(In reply to comment #5)

The new installer is at config/new-index.php. Installer.php is the old
installer.

$ svn info new-index.php
Path: new-index.php
Name: new-index.php
URL: http://svn.wikimedia.org/svnroot/mediawiki/trunk/phase3/config/new-index.php
Repository Root: http://svn.wikimedia.org/svnroot/mediawiki
Repository UUID: dd0e9695-b195-4be7-bd10-2dea1a65a6b6
Revision: 71688
Node Kind: file
Schedule: normal
Last Changed Author: ialex
Last Changed Rev: 70326
Last Changed Date: 2010-08-02 01:31:23 -0700 (Mon, 02 Aug 2010)
Text Last Updated: 2010-08-10 07:36:19 -07

Meh, fixed in r71704.